Name:		yum-conf-softwarecollections
Version:	1.0
Release:	1%{?dist}
Summary:	yum repo files for the Software Collection Library repo

Group:		System Environment/Libraries
License:	GPL
URL:		http://www.scientificlinux.org/

%define debug_package %{nil}

BuildRequires:	bash sed coreutils
BuildArch:	noarch
Requires:	yum
Requires:	system-release >= 7

%description
Yum repository config files that point to the Scientific Linux build
of the upstream product Software Collection Library.

These packages may change in ABI/API incompatible ways.

%prep

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/

echo "Building yum conf for Software Collection Library"

cat > $RPM_BUILD_ROOT/etc/yum.repos.d/sl-softwarecollections.repo <<REPO
[sl-softwarecollections]
Name=Scientific Linux Software Collection Library - \$basearch
baseurl=http://ftp.scientificlinux.org/linux/scientific/7x/external_products/softwarecollections/\$basearch/
        http://ftp1.scientificlinux.org/linux/scientific/7x/external_products/softwarecollections/\$basearch/
        http://ftp2.scientificlinux.org/linux/scientific/7x/external_products/softwarecollections/\$basearch/

enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

[sl-softwarecollections-debuginfo]
Name=Scientific Linux Software Collection Library - debuginfo
baseurl=http://ftp.scientificlinux.org/linux/scientific/7x/external_products/softwarecollections/\$basearch/debuginfo/
        http://ftp1.scientificlinux.org/linux/scientific/7x/external_products/softwarecollections/\$basearch/debuginfo/
        http://ftp2.scientificlinux.org/linux/scientific/7x/external_products/softwarecollections/\$basearch/debuginfo/

enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

[sl-softwarecollections-source]
Name=Scientific Linux Software Collection Library - source
baseurl=http://ftp.scientificlinux.org/linux/scientific/7x/external_products/softwarecollections/SRPMS/
        http://ftp1.scientificlinux.org/linux/scientific/7x/external_products/softwarecollections/SRPMS/
        http://ftp2.scientificlinux.org/linux/scientific/7x/external_products/softwarecollections/SRPMS/

enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl7

REPO

chmod 644 $RPM_BUILD_ROOT/etc/yum.repos.d/*.repo


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Tue Jun 24 2014 Pat Riehecky <riehecky@fnal.gov> 1.0-1.el7
- Initial build
